package com.persagy.dmp.dic.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dmp.dic.entity.DictType;

import java.util.List;

/**
 * 字典类型
 * @author:linhuili
 * @date:2021/6/10
 */
public interface DictTypeService {

    /**
     * 按条件计数
     * @param queryWrapper 查询条件
     * @return 结果数量
     */
    Integer queryCount(Wrapper<DictType> queryWrapper);

    /**
     * 按条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<DictType> queryWrapper);


    /**
     * 按条件查询
     * @param queryWrapper 查询条件
     * @return 列表
     */
    List<DictType> queryByCondition(Wrapper<DictType> queryWrapper);

    /**
     * 新增
     * @param vo 待新增数据
     * @return 新增后数据
     */
    DictType insert(DictType vo);

    /**
     * 修改
     * @param vo 待修改数据
     * @return 修改后数据
     */
    DictType update(DictType vo);

    /**
     * 删除
     * @param vo 主键
     */
    void delete(DictType vo);
}
